Generate new recovery codes for two-factor authentication. It requires two-factor authentication verification.
PUT
/auth/recovery-codes
curl
curl -X PUT "http://api.example.com/auth/recovery-codes" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"totp": "",
"email_otp": "",
"fido_authentication_response": {},
"recovery_code": ""
}'
import requests
url = "http://api.example.com/auth/recovery-codes"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"totp": "",
"email_otp": "",
"fido_authentication_response": {},
"recovery_code": ""
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request PUT 'http://api.example.com/auth/recovery-codes' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"totp":"string","email_otp":"string","fido_authentication_response":{},"recovery_code":"string"}'
Request examples
{
"totp": "string",
"email_otp": "string",
"fido_authentication_response": {},
"recovery_code": "string"
}